//+------------------------------------------------------------------+
//|                                                  IND Inverse.mq4 |
//+------------------------------------------------------------------+
#property copyright "Copyright  2006, ..."
#property link      "http://www.forex-tsd.com/"

#property indicator_separate_window
#property indicator_buffers 1
#property indicator_color1 Maroon

double Buffer[];
double Buffer0[];

extern int iPeriod = 1;
extern int cbars   = 1000;

int init(){
    IndicatorBuffers(2);
    IndicatorDigits(Digits+2);
    SetIndexStyle(0,DRAW_LINE);
    SetIndexEmptyValue(0,0);
    
    SetIndexBuffer(0,Buffer);
    SetIndexBuffer(1,Buffer0);
//----
    return(0);
}

int start(){
   int limit = cbars;
   if(limit==0) limit=Bars-99;
   for(int i=limit; i>=0; i--){
      double HD = High[Highest(NULL,0,MODE_HIGH,(iPeriod* 20),i)];
      double LD = Low[Lowest(NULL,0,MODE_LOW,(iPeriod* 20),i)];
      double amplitude = HD - LD;                
      Buffer0[i]= ((Close[i]-(HD-(amplitude/2)))/amplitude) * iPeriod;
      
      Buffer[i]= 
         -0.00514293*Buffer0[i+0] 
         -0.00398417*Buffer0[i+1] 
         -0.00262594*Buffer0[i+2] 
         -0.00107121*Buffer0[i+3] 
         +0.00066887*Buffer0[i+4] 
         +0.00258172*Buffer0[i+5] 
         +0.00465269*Buffer0[i+6] 
         +0.00686394*Buffer0[i+7] 
         +0.00919334*Buffer0[i+8] 
         +0.01161720*Buffer0[i+9] 
         +0.01411056*Buffer0[i+10] 
         +0.01664635*Buffer0[i+11] 
         +0.01919533*Buffer0[i+12] 
         +0.02172747*Buffer0[i+13] 
         +0.02421320*Buffer0[i+14] 
         +0.02662203*Buffer0[i+15] 
         +0.02892446*Buffer0[i+16] 
         +0.03109071*Buffer0[i+17] 
         +0.03309496*Buffer0[i+18] 
         +0.03490921*Buffer0[i+19] 
         +0.03651145*Buffer0[i+20] 
         +0.03788045*Buffer0[i+21] 
         +0.03899804*Buffer0[i+22] 
         +0.03984915*Buffer0[i+23] 
         +0.04042329*Buffer0[i+24] 
         +0.04071263*Buffer0[i+25] 
         +0.04071263*Buffer0[i+26] 
         +0.04042329*Buffer0[i+27] 
         +0.03984915*Buffer0[i+28] 
         +0.03899804*Buffer0[i+29] 
         +0.03788045*Buffer0[i+30] 
         +0.03651145*Buffer0[i+31] 
         +0.03490921*Buffer0[i+32] 
         +0.03309496*Buffer0[i+33] 
         +0.03109071*Buffer0[i+34] 
         +0.02892446*Buffer0[i+35] 
         +0.02662203*Buffer0[i+36] 
         +0.02421320*Buffer0[i+37] 
         +0.02172747*Buffer0[i+38] 
         +0.01919533*Buffer0[i+39] 
         +0.01664635*Buffer0[i+40] 
         +0.01411056*Buffer0[i+41] 
         +0.01161720*Buffer0[i+42] 
         +0.00919334*Buffer0[i+43] 
         +0.00686394*Buffer0[i+44] 
         +0.00465269*Buffer0[i+45] 
         +0.00258172*Buffer0[i+46] 
         +0.00066887*Buffer0[i+47] 
         -0.00107121*Buffer0[i+48] 
         -0.00262594*Buffer0[i+49] 
         -0.00398417*Buffer0[i+50] 
         -0.00514293*Buffer0[i+51] 
         -0.00609634*Buffer0[i+52] 
         -0.00684602*Buffer0[i+53] 
         -0.00739452*Buffer0[i+54] 
         -0.00774847*Buffer0[i+55] 
         -0.00791630*Buffer0[i+56] 
         -0.00790940*Buffer0[i+57] 
         -0.00774085*Buffer0[i+58] 
         -0.00742482*Buffer0[i+59] 
         -0.00697718*Buffer0[i+60] 
         -0.00641613*Buffer0[i+61] 
         -0.00576108*Buffer0[i+62] 
         -0.00502957*Buffer0[i+63] 
         -0.00423873*Buffer0[i+64] 
         -0.00340812*Buffer0[i+65] 
         -0.00255923*Buffer0[i+66] 
         -0.00170217*Buffer0[i+67] 
         -0.00085902*Buffer0[i+68] 
         -0.00004113*Buffer0[i+69] 
         +0.00073700*Buffer0[i+70] 
         +0.00146422*Buffer0[i+71] 
         +0.00213007*Buffer0[i+72] 
         +0.00272649*Buffer0[i+73] 
         +0.00324752*Buffer0[i+74] 
         +0.00368922*Buffer0[i+75] 
         +0.00405000*Buffer0[i+76] 
         +0.00433024*Buffer0[i+77] 
         +0.00453068*Buffer0[i+78] 
         +0.00465046*Buffer0[i+79] 
         +0.00469058*Buffer0[i+80] 
         +0.00466041*Buffer0[i+81] 
         +0.00457855*Buffer0[i+82] 
         +0.00442491*Buffer0[i+83] 
         +0.00423019*Buffer0[i+84] 
         +0.00399201*Buffer0[i+85] 
         +0.00372169*Buffer0[i+86] 
         +0.00342736*Buffer0[i+87] 
         +0.00311822*Buffer0[i+88] 
         +0.00280309*Buffer0[i+89] 
         +0.00249088*Buffer0[i+90] 
         +0.00219089*Buffer0[i+91] 
         +0.00191283*Buffer0[i+92] 
         +0.00166683*Buffer0[i+93] 
         +0.00146419*Buffer0[i+94] 
         +0.00131867*Buffer0[i+95] 
         +0.00124645*Buffer0[i+96] 
         +0.00126836*Buffer0[i+97] 
         -0.00401854*Buffer0[i+98]; 

      
      }
   return(0);
  }
//+------------------------------------------------------------------+